require 'phi'
include  Phi 
#Phi.debug = true
form = Phi::Form.new
i = Phi::Button.new form, :btn, 'hello'
i.align = Phi::AL_CLIENT
def i.on_click
  self.caption = Time.now.to_s
  print "clicked\n"
end
#i.on_click = proc do
#  i.caption = i.name
#  print "poo\n"
#end
form.show
Phi.mainloop
